﻿using SqlSugar;
using System.Reflection;

namespace Falcon.SugarApi.DatabaseDefinitions.EntityServices
{
    /// <summary>
    /// 设置列以Json类型存储。
    /// </summary>
    public class JsonTypeColumnServices:IEntityColumnServices
    {
        /// <inheritdoc/>
        public void SetupColumn(PropertyInfo p,EntityColumnInfo c) {
            if(p.TryGetAttribute<JsonTypeAttribute>(out var a)) {
                c.IsJson = true;
                if(a.Length >= 0) {
                    c.Length = a.Length;
                }
            }
        }
    }
}
